Bilgisayar-Bilişim Teknolojileri
Ana Sayfa
Bilişim Teknolojileri Forumu Son Konuları
24 Saat
Bilişim Teknolojileri - Formatör - Bilgisayar Öğretmeni Kayıt
Kayıt Olun
iletişim
iletişim
Detaylı Arama
Arama

Matt Cutts'tan WP WordPress güvenlik önerileri

Konu, 'Windows İşletim Sistemleri, Sorunlar ve Çözümler' kısmında ghost tarafından paylaşıldı.


Sayfayı Paylaş /bbnetsosyal

  1. ghost

    ghost Site Admin Yetkili Kişi

    Kayıt:
    26 Ocak 2007
    Mesajlar:
    737
    Beğeni:
    50
    Matt Cutts artık pek çok kişi tarafından tanınıyor. Tanımayanlar için kısaca tanıtmak gerekirse Google Webspam ile mücadele ekibinin şefidir. SEO (Search Engine Optimization) ile haşır neşir olanlar kendisini saygı ile takip ederler. Matt Cutts blogunda bu defa WP müdavimlerinin faydalanması için küçük ama etkili güvenlik önerilerini sıralamış.

    İngilizce bilmeyen arkadaşlarımın faydalanabilmesi adına makaleyi genel olarak Türkçe’ye çevirdim umarım herkes faydalanır.

    Öneri 1:

    /wp-admin/ klasörünün güvenliğini sağlayın. Ben bu güvenliği sağlamak için .htaccess dosyasından faydalandım. Sadece /wp-admin/ klasörünü içerisinde kullanmak üzere yeni .htaccess oluşturdum ve içerisine sadece internete bağlandığım IP listelerini ekleyerek bu IP adresleri haricinde admin panelime ulaşılmasını engellemiş oldum. Oluşturmuş olduğum .htaccess dosyasını örnek teşkil etmesi açısından sizlerle paylaşıyorum. (IP adreslerimi güvenlik açısından değiştirdiğimi belirteyim)

    Kod:
    AuthUserFile /dev/null
    AuthGroupFile /dev/null
    AuthName “Access Control”
    AuthType Basic
    order deny,allow
    deny from all
    # whitelist home IP address
    allow from 64.233.169.99
    # whitelist work IP address
    allow from 69.147.114.210
    allow from 199.239.136.200
    # IP while in Kentucky; delete when back
    allow from 128.163.2.27

    Öneri 2:

    Boş bir index.html dosyası oluşturun ve /wp-content/plugins/index.html belirtilen şekilde yerleştirin. Bu yapılan işlem sizi neden mi kouyacak? Sitenizi ele geçirmek isteyen kişiler sitenizin açıklarından faydalanmaya çalışırlar. Kullanmış olduğunuz eklentilerin (plugins) sahip olduğu açıklar siteniz için tehdit oluşturur. (Mesela güvenlik açığı bulunan bir sürüme sahip eklenti kullandığınızı öğrenmek bu kişilere fırsat tanıyacaktır. ) Bu nedenle kullanmış olduğunuz eklentilerin bilinmemesi için bu basit önlem çok faydalıdır.

    Öneri 3:

    Son önerim ise WordPress Geliştiriciler Blogunun beslemesine (RSS) buradan http://wordpress.org/development/feed/ kaydolun. Herhangi bir güvenlik açığı oluşması durumunda bu güvenlik açığı ve çözümü site üzerinden duyuruluyor. Yapılması gerekenleri bu şekilde öğrenmiş olursunuz.

    Fazladan bir öneri daha vereyim. header.php içerisindeki şu satırı bulun.

    Kod:
    <meta name=”generator” content=”WordPress <?php bloginfo(’version’); ?>” /> <!-– leave this for stats please –>
    Burada yazan bloginfo(’version’) yazan kısmı silin. Bunu yapmanız da sizi eski bir WordPress sürümü kullanıyorsanız bu bilgiyi diğer kişilerin öğrenmesini engelleyerek sitemizi korumuş oluyor.

    not : alıntıdır


    Bugünlerde blog sayfalarında ciddi bir artış var, bu güvenlik önlemlerine ihtiyacımız olacak. Başıma gelmez demeyin, ne zaman ne olacağı inanın hiç belli olmuyor.Emekleriniz boşa gitmesin
     
Yüklüyor...

Sayfayı Paylaş /bbnetsosyal